Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692110 - Warnings triggered from newest PyYAML
Summary: Warnings triggered from newest PyYAML
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: urlwatch
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-24 11:53 UTC by Göran Uddeborg
Modified: 2019-04-03 04:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Göran Uddeborg 2019-03-24 11:53:27 UTC
Description of problem:
After upgrading PyYAML, I started to get warnings from urlwatch

    /usr/lib/python3.7/site-packages/urlwatch/storage.py:280: YAMLLoadWarning: calling yaml.load() without Loader=... is deprecated, as the default Loader is unsafe. Please read https://msg.pyyaml.org/load for full details.
      return yaml.load(fp)
    /usr/lib/python3.7/site-packages/urlwatch/storage.py:328: YAMLLoadWarning: calling yaml.load_all() without Loader=... is deprecated, as the default Loader is unsafe. Please read https://msg.pyyaml.org/load for full details.
      return [JobBase.unserialize(job) for job in yaml.load_all(fp) if job is not None]


Version-Release number of selected component (if applicable):
urlwatch-2.6-8.fc29.noarch
python3-pyyaml-5.1-1.fc29.x86_64


How reproducible:
Every time


Steps to Reproduce:
1. urlwatch


Actual results:
The warnings.

Expected results:
No warnings.


Additional info:
It seems upstreams applied a patch for this problem on the 21 of March: https://github.com/thp/urlwatch/commit/80b70e6502a5a03029baf28eeaca66b68b3cf323

Comment 1 Jan ONDREJ 2019-03-27 06:28:16 UTC
Same problem here.

Also I see, there is a new version of urlwatch-2.16 available upstream.
Please update.

Comment 2 Jan ONDREJ 2019-04-03 04:27:38 UTC
Is this package still maintained?
Looks like there are lots of upstream updates.
Fabian, if you need help with this package, let me know.


Note You need to log in before you can comment on or make changes to this bug.